function OnWarpEnter()
	SetMarker("Pi Ramses\\Maison de Paser\\Warp_0007.wp",0,0)
	SetMarker("Pi Ramses\\Maison de Paser\\Warp_0008.wp",0,0)
	SetMarker("Pi Ramses\\Maison de Paser\\Warp_0005.wp",0,0)
        StartAnimation("L1P1",-1)
        StartAnimation("L3P1",-1)
	--StartAnimationPart("P2P1",0,12,-1,true) --check condition puertita a cuarot paser abierta/cerrada
	--StartAnimationPart("P3P1",0,1,-1,true) --check condition puertita a otro cuarto abierta/cerrada

	if MAYA_BEATED or not TRAVEL_TO_MEMPHIS then
		StartAnimationPart("PAP1",90,119,-1,true) --Paser
	else
		StartAnimationPart("PAP1",120,140,-1,true) --Paser
	end

	if MAYA_BEATED  then
		AnimationSetToStart("FIP1")
	end
	
	if Khaem_on_Countryyard and not MAYA_BEATED then
		if SMOKE_ACTIVATED then
			StartAnimationPart("TOp3",0,30,-1,true)			
			StartAnimationPart("G2P3",0,30,-1,true)
			StartAnimationPart("L4P1",20,39,-1,true) --fuego en el fuego
		end
	else
		StartAnimationPart("L4P1",0,19,-1,true) --fuego en el fuego
	end
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)
	if objectName == "FIP1" then

------------------------------------------------------------
	elseif objectName == "G2P3" then

------------------------------------------------------------
	elseif objectName == "L3P1" then

------------------------------------------------------------
	elseif objectName == "L4P1" then

------------------------------------------------------------
	elseif objectName == "N3P1" then

------------------------------------------------------------
	elseif objectName == "P2P1" then

------------------------------------------------------------
	elseif objectName == "PAP1" then

------------------------------------------------------------
	elseif objectName == "TOp3" then

------------------------------------------------------------
	elseif objectName == "V2P1" then

------------------------------------------------------------
	elseif objectName == "V5P1" then
	end
	if objectName=="3D\\Pi Ramses\\Maison de Paser\\Warp_0005.wp" then
		ChangeWarp(objectName)
        end
	if objectName=="3D\\Pi Ramses\\Maison de Paser\\Warp_0008.wp" then
		ChangeWarp(objectName)
        end
	if objectName=="3D\\Pi Ramses\\Maison de Paser\\Warp_0007.wp" then
		ChangeWarp(objectName)
        end
end
